帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:AIR  aircrack-ng  installing  

问题:

我正在尝试从安装 Wifite,但无法安装 cowpatty

请参见以下内容:


root@vitor-hp:~# apt-get install cowpatty


Reading package lists.. . ready


Building dependency tree


Reading state information.. . ready


E: Could not find package cowpatty


root@vitor-hp:~# 



葡萄牙语翻译

我使用 -bit 13.10 64.


回答 1:

你working了? 我有完整的脚本下午。 就这部分而言


sudo apt-get install libpcap-dev libssl-dev


cd ~


wget http://pkgs.fedoraproject.org/repo/pkgs/cowpatty/cowpatty-4.6.tgz/b90fd36ad987c99e7cc1d2a05a565cbd/cowpatty-4.6.tgz


tar zxfv cowpatty-4.6.tgz


cd cowpatty-4.6/


make


sudo cp cowpatty/usr/bin


cd ~




回答 2:

你提到的链接

Cowpatty在Ubuntu存储库中不可以用,链接描述你必须手动从所提到的链接中下载它。

总之我让你简单点。 在终端中执行这些命令以安装 cowpatty:


cd ~


wget http://www.willhackforsushi.com/code/cowpatty/4.6/cowpatty-4.6.tgz


tar zxfv cowpatty-4.6.tgz


cd cowpatty-4.6


make cowpatty


sudo cp cowpatty/usr/bin



现在你必须继续你的步骤。


回答 3:

主要答案

在系统中安装 cowpatty的合适方法是从一个与Ubuntu兼容的发行版中抓取一个经过精心打包。

我的建议是从linux的Kali存储库获取 cowpatty,并将它更新为你的系统。 你不仅可以获得其他人所指示的版本,而且还可以自动更新未来版本。

根据文档,/etc/apt/sources.list的相应条目是:


deb http://http.kali.org/kali kali-rolling main non-free contrib



附录

我的答案是用"。如果不需要,请不要从源代码安装软件包"和"。仅保留来自已经策划的仓库的软件包"来保持精神。 这一般适用,也尤其适用于安全人员询问/了解安全问题的情况。

另外,从源代码安装东西,不在Debian包中编译自己,使得 dpkg (。高级工具,如 aptaptitude ) 不会意识到工具依赖于工具,比如 libpcap 和 OpenSSL ( 通过 libssl -variants )。

当一个底层库从系统( 就像 OpenSSL pre-1.1 到 OpenSSL 1.1或者 ,任何其他库转换插件都可以) 中删除时,程序的中断概率很高。

我知道,在问问问题时,Debian包可以能不存在,但是:

  • 如果你想在Ubuntu版或者Ubuntu中使用 ,这是一个很好的方法,它不仅可以包含你的Ubuntu版本,而且还有很高的概率,所以你可以继续使用该程序。
  • 打包程序是学习程序和系统的非常好的方法,而且有很多人总是愿意帮助人们丰富我们的发布。
  • 对上述问题的扩展,当包包含在分发中时,它的编译/准备版本将对分布的每个用户可用,并且它不需要对它的进行任何操作。 这是我在 true 精神中的贡献( 尽管我明白,有时候,你可能只是想快速地使用某种东西)。
  • 如果在Debian或者Ubuntu中获得该软件包,它可以成为将来的参考,因为它的源版本和二进制版本的快照都存在于 snapshot.debian.org

回答 4:


apt-get install libssl-dev



apt-get install libpcap0.8-dev



然后尝试 make




文章标签:AIR  installing  aircrack-ng  

Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语